{
    attributes = (
        {
            allowsNull = Y; 
            columnName = "c_structure"; 
            externalType = VARCHAR2; 
            name = cStructure; 
            valueClassName = NSString; 
            width = 10; 
        }, 
        {
            allowsNull = Y; 
            columnName = "log_ordre"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "no_individu"; }; 
            name = logOrdre; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ORG_CR"; 
            externalType = VARCHAR2; 
            internalInfo = {"_nameInObjectStore" = "ORG_COMP"; }; 
            name = orgCr; 
            valueClassName = NSString; 
            valueType = S; 
            width = 50; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ORG_DATE_CLOTURE"; 
            externalType = DATE; 
            name = orgDateCloture; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            columnName = "ORG_DATE_OUVERTURE"; 
            externalType = DATE; 
            name = orgDateOuverture; 
            valueClassName = NSCalendarDate; 
            valueType = T; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ORG_ETAB"; 
            externalType = VARCHAR2; 
            internalInfo = {"_nameInObjectStore" = "ORG_COMP"; }; 
            name = orgEtab; 
            valueClassName = NSString; 
            valueType = S; 
            width = 10; 
        }, 
        {
            columnName = "ORG_ID"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "org_id"; }; 
            name = orgId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = ""; 
            definition = "orgEtab||decode(orgUb,null,'','','',' / '||orgUb)||decode(orgCr,null,'','','',' / '||orgCr)||decode(orgSouscr,null,'','','',' / '||orgSouscr)"; 
            externalType = VARCHAR2; 
            name = orgLib; 
            valueClassName = NSString; 
            valueType = S; 
            width = 150; 
        }, 
        {
            columnName = "ORG_LIB"; 
            externalType = VARCHAR2; 
            internalInfo = {"_nameInObjectStore" = "ORG_LIB"; }; 
            name = orgLibelle; 
            valueClassName = NSString; 
            valueType = S; 
            width = 500; 
        }, 
        {
            columnName = "ORG_LUCRATIVITE"; 
            externalType = NUMBER; 
            name = orgLucrativite; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            columnName = "ORG_NIV"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "ORG_NIV"; }; 
            name = orgNiv; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ORG_PERE"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "ORG_RAT"; }; 
            name = orgPere; 
            valueClassName = NSNumber; 
            valueType = i; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ORG_SOUSCR"; 
            externalType = VARCHAR2; 
            internalInfo = {"_nameInObjectStore" = "ORG_COMP"; }; 
            name = orgSouscr; 
            valueClassName = NSString; 
            valueType = S; 
            width = 50; 
        }, 
        {
            allowsNull = Y; 
            columnName = "ORG_UB"; 
            externalType = VARCHAR2; 
            internalInfo = {"_nameInObjectStore" = "ORG_COMP"; }; 
            name = orgUb; 
            valueClassName = NSString; 
            valueType = S; 
            width = 10; 
        }, 
        {
            columnName = "ORG_UNIV"; 
            externalType = VARCHAR2; 
            internalInfo = {"_nameInObjectStore" = "ORG_COMP"; }; 
            name = orgUniv; 
            valueClassName = NSString; 
            valueType = S; 
            width = 10; 
        }, 
        {
            columnName = "TYOR_ID"; 
            externalType = NUMBER; 
            internalInfo = {"_nameInObjectStore" = "tor_id"; }; 
            name = tyorId; 
            valueClassName = NSNumber; 
            valueType = i; 
        }
    ); 
    attributesUsedForLocking = (
        cStructure, 
        logOrdre, 
        orgCr, 
        orgEtab, 
        orgId, 
        orgLibelle, 
        orgLucrativite, 
        orgNiv, 
        orgPere, 
        orgSouscr, 
        orgUb, 
        orgUniv, 
        tyorId
    ); 
    className = "org.cocktail.kava.server.metier.EOOrgan"; 
    classProperties = (
        budgetExecCredits, 
        gestion, 
        orgCr, 
        orgDateCloture, 
        orgDateOuverture, 
        orgEtab, 
        orgLib, 
        orgLibelle, 
        orgLucrativite, 
        orgNiv, 
        orgSouscr, 
        orgUb, 
        orgUniv, 
        organExercices, 
        organFils, 
        organPere, 
        organSignataires, 
        structureUlr, 
        typeOrgan, 
        utilisateurOrgans
    ); 
    externalName = "jefy_recette.v_organ"; 
    fetchSpecificationDictionary = {}; 
    internalInfo = {
        "_clientClassPropertyNames" = (
            budgetExecCredits, 
            gestion, 
            orgCr, 
            orgDateCloture, 
            orgDateOuverture, 
            orgEtab, 
            orgLib, 
            orgLibelle, 
            orgLucrativite, 
            orgNiv, 
            orgSouscr, 
            orgUb, 
            orgUniv, 
            organExercices, 
            organFils, 
            organPere, 
            organSignataires, 
            structureUlr, 
            typeOrgan, 
            utilisateurOrgans
        ); 
        "_javaClientClassName" = "org.cocktail.kava.client.metier.EOOrgan"; 
        "_nameInObjectStore" = "V_ORGAN"; 
    }; 
    name = Organ; 
    primaryKeyAttributes = (orgId); 
    relationships = (
        {
            destination = BudgetExecCredit; 
            isToMany = Y; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = orgId; sourceAttribute = orgId; }); 
            name = budgetExecCredits; 
        }, 
        {
            destination = Gestion; 
            isToMany = N; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = gesCode; sourceAttribute = orgUb; }); 
            name = gestion; 
        }, 
        {
            destination = OrganExercice; 
            isToMany = Y; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = orgId; sourceAttribute = orgId; }); 
            name = organExercices; 
        }, 
        {
            destination = Organ; 
            isToMany = Y; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = orgPere; sourceAttribute = orgId; }); 
            name = organFils; 
        }, 
        {
            destination = Organ; 
            isToMany = N; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = orgId; sourceAttribute = orgPere; }); 
            name = organPere; 
        }, 
        {
            destination = OrganSignataire; 
            isToMany = Y; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = orgId; sourceAttribute = orgId; }); 
            name = organSignataires; 
        }, 
        {
            destination = StructureUlr; 
            isToMany = N; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = cStructure; sourceAttribute = cStructure; }); 
            name = structureUlr; 
        }, 
        {
            destination = "ca_TypeOrgan"; 
            isToMany = N; 
            joinSemantic = EOInnerJoin; 
            joins = ({destinationAttribute = tyorId; sourceAttribute = tyorId; }); 
            name = typeOrgan; 
        }, 
        {
            destination = UtilisateurOrgan; 
            isToMany = Y; 
            joinSemantic = EOLeftOuterJoin; 
            joins = ({destinationAttribute = orgId; sourceAttribute = orgId; }); 
            name = utilisateurOrgans; 
        }
    ); 
}
